/* Programa realizado para el proyecto de Carrito seguidor de linea.
  Lee los microswitchs un numero del 0 al 15, al leer 1 el 
  carrito avanza 2 segundos y se detiene 2 segundos, al leer 3
  es un seguidor de linea negra, al leer 7 avanza en zig zag, al
  leer 15 avanza en circulo hacia atras  */

//Leguzamo Vega Mario

#include <p18cxxx.h>
#include <delays.h>
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code
 
int tiempo=1000;
int n,i=0;

void main()
{
	init_bolt();
	n=microsw();
	while(1){
		switch(n){
			case 1:
				RB0=1;
				RB1=1;
				delay_ms(2000);
				RB0=0;
				RB1=0;
				delay_ms(2000);
			break;
			case 3:
				RB0=SW1;
				RB1=SW2;
			break;
			case 7:
				RB0=1;
				RB1=0;
				delay_ms(1000);
				RB0=1;
				RB1=1;
				delay_ms(500);
				RB0=0;
				RB1=1;
				delay_ms(1000);
				RB0=1;
				RB1=1;
				delay_ms(500);
			break;
			case 15:
				RB1=0;
				RB7=1;
				delay_ms(1500);
				RB7=0;
				RB0=1;
				RB1=0;
				delay_ms(1025);
				RB0=0;
				RB7=1;
				delay_ms(1500);
				RB7=0;
				RB0=0;
				RB1=1;
				delay_ms(1025);
			break;
		}
	}
}
